adapter.c File Reference
`#include "adapter/adapter.h"`
`#include "file.h"`
`#include "log.h"`
`#include "status.h"`
`#include "signer/zone.h"`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

adapter_type * | adapter_create (const char *str, adapter_mode type, unsigned in)
ods_status | adapter_load_config (adapter_type *adapter)
ods_status | adapter_read (zone_type *zone)
ods_status | adapter_write (zone_type *zone)
int | adapter_compare (adapter_type *a1, adapter_type *a2)
void | adapter_cleanup (adapter_type *adapter)

## Function Documentation

## adapter_cleanup()

void adapter_cleanup | ( | adapter_type * | adapter | ) |

Clean up adapter.

Definition at line 234 of file adapter.c.

References ADAPTER_DNS, ADAPTER_FILE, adapter_struct::config, adapter_struct::configstr, dnsin_cleanup(), dnsout_cleanup(), adapter_struct::inbound, and adapter_struct::type.

Referenced by adapter_create(), and zone_cleanup().

## adapter_compare()

int adapter_compare | ( | adapter_type * | a1,
|  | adapter_type * | a2 )

Compare adapters.

Definition at line 212 of file adapter.c.

References adapter_struct::configstr, adapter_struct::inbound, and adapter_struct::type.

Referenced by zone_merge().

## adapter_create()

adapter_type * adapter_create | ( | const char * | str,
|  | adapter_mode | type,
|  | unsigned | in )

Create a new adapter.

Definition at line 48 of file adapter.c.

References adapter_cleanup(), ADAPTER_DNS, ADAPTER_FILE, adapter_struct::config, adapter_struct::config_last_modified, adapter_struct::configstr, dnsin_create(), dnsout_create(), adapter_struct::error, adapter_struct::inbound, and adapter_struct::type.

## adapter_load_config()

ods_status adapter_load_config | ( | adapter_type * | adapter | ) |

Load ACL.

Definition at line 99 of file adapter.c.

References ADAPTER_DNS, ADAPTER_FILE, adapter_struct::config, adapter_struct::config_last_modified, adapter_struct::configstr, dnsin_update(), dnsout_update(), adapter_struct::inbound, and adapter_struct::type.

Referenced by engine_update_zones().

## adapter_read()

ods_status adapter_read | ( | zone_type * | zone | ) |

Read zone from input adapter.

Parameters

  [in] | zone | zone

Returns
  ods_status status

Definition at line 147 of file adapter.c.

References ADAPTER_DNS, ADAPTER_FILE, addns_read(), adfile_read(), zone_struct::adinbound, adapter_struct::configstr, zone_struct::name, and adapter_struct::type.

Referenced by tools_input().

## adapter_write()

ods_status adapter_write | ( | zone_type * | zone | ) |

Write zone to output adapter.

Definition at line 179 of file adapter.c.

References ADAPTER_DNS, ADAPTER_FILE, addns_write(), adfile_write(), zone_struct::adoutbound, adapter_struct::configstr, zone_struct::db, namedb_struct::intserial, zone_struct::name, and adapter_struct::type.

Referenced by tools_output().